> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update personalization

> Update several fields of the personalization

**Warning:** The Automation API doesn't yet support personalizations migrated to the new model with rules. This endpoint might not work reliably for them. Until Kameleoon releases API support, manage migrated personalizations in the Kameleoon app.



## OpenAPI

````yaml /automation.api.json patch /personalizations/{personalizationId}
openapi: 3.0.3
info:
  title: OpenAPI definition for automation API
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account. You can retrieve it to
      view its properties, such as its current email address or locale. With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> The API does not expose all
      settings. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag helps our clients implement new features, test and deploy
      them via our SDK. This service allows you to create and configure the
      feature flag that your source code uses.
    name: Feature flag
  - description: >
      You can use your account to set up multiple websites. This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment. It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that already exists, such as user account
      information.
    name: Custom data
  - description: >-
      Experiment is an A/B test which can target a specific audience or any
      other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      link to one or several goals. The Kameleoon interface or Automation API
      can manage all goals. There are variety of different goals you can choose
      from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that Kameleoon
      has now renamed `KeyMoment` to `Triggers`.
    name: Key moment
  - description: >-
      Key page allows you to target visitors that have visited a particular
      page, or multiple pages on your website.
    name: Key page
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: Project theme config
  - description: This is an object representing a recommender block
    name: Recommender block
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors. You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: Studio recommender block
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: Takeaway comment
  - description: >-
      A targeting rule is a system entity that combines segments (user groups)
      and triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: Targeting rule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that you can edit for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started. Kameleoon saves all changes in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: Widget studio
  - description: This is an object representing widget studio template
    name: Widget studio template
  - description: Widget template setting API
    name: Widget template setting
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      A personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Goal campaign
    description: >-
      Retrieve experiments that use a specific goal, optionally filtered by
      whether that goal had a positive, negative, or neutral impact on the
      experiment. Results are paginated using cursor-based pagination.
  - name: Data API request stats
    description: Traffic statistics for requests sent to the Kameleoon Data API.
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Use these
      statistics to understand your website's audience and adjust your segments.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /personalizations/{personalizationId}:
    patch:
      tags:
        - Personalization
      summary: Partially update personalization
      description: >-
        Update several fields of the personalization


        **Warning:** The Automation API doesn't yet support personalizations
        migrated to the new model with rules. This endpoint might not work
        reliably for them. Until Kameleoon releases API support, manage migrated
        personalizations in the Kameleoon app.
      operationId: partial-update-personalization
      parameters:
        - in: path
          name: personalizationId
          required: true
          schema:
            type: integer
            format: int64
        - description: Action to change the status of personalization
          in: query
          name: action
          required: false
          schema:
            type: string
            enum:
              - ACTIVATE
              - PAUSE
              - RESUME
              - STOP
              - SCHEDULE
              - DEACTIVATE
              - REVERT_TO_DRAFT
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonalizationUpdateIO'
      responses:
        '200':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Personalization'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Bad Request
        '401':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unauthorized
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Forbidden
        '404':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Not Found
        '422':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unprocessable Content
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Locked
        '429':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Too Many Requests
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PersonalizationUpdateIO:
      type: object
      properties:
        baseURL:
          type: string
          description: URL of the website to load in editor and preview mode
        cssCode:
          type: string
          description: >-
            CSS script that Kameleoon integrates into the source code of the
            page
        description:
          type: string
          description: Description of the personalization
        globalScript:
          type: string
          description: >-
            JavaScript code that applies only to the selected personalization
            and runs at the end of the Global custom script
        isArchived:
          type: boolean
          description: Indicates if a user archived the personalization
        javaScriptCode:
          type: string
          description: >-
            JavaScript snippet that Kameleoon integrates into the source code of
            the page
        mainGoalId:
          type: string
          description: ID of the main goal that the personalization uses
        metaReadOnly:
          type: string
          description: Personalization in READ_ONLY mode for sub-personalization
        name:
          type: string
          description: Name of the personalization
        scenarios:
          type: array
          description: >-
            Conditions for displaying this personalization based on previously
            shown personalizations.
          items:
            $ref: '#/components/schemas/Scenario'
          uniqueItems: true
        tags:
          type: array
          description: List of tags associated with this personalizations
          items:
            type: string
        targetingRule:
          $ref: '#/components/schemas/TargetingRule'
          description: >-
            Targeting Rule defines the conditions for displaying content to
            specific user groups based on segments and triggers
    Personalization:
      type: object
      properties:
        attributionWindow:
          type: integer
          format: int64
        baseURL:
          type: string
          description: URL of the website to load in editor and preview mode
        cappingPerVisitorConvertGoal:
          type: boolean
          description: >-
            If true, cease exposing the same visitor when the visitor reaches
            the goal
        cappingPerVisitorExposedVisits:
          type: boolean
          description: >-
            If true, cease exposing the same visitor when the number of visits
            exceeds this limit
        cappingPerVisitorExpositions:
          type: boolean
          description: >-
            If true, cease exposing the same visitor when total exposures exceed
            this limit.
        cappingPerVisitorGoalId:
          type: integer
          format: int64
          description: >-
            Cease exposing the same visitor when the visitor reaches the goal
            with this ID
        category:
          type: string
        checkConditionsRule:
          type: string
          description: >-
            Kameleoon’s behavior in determining whether to target a visitor or
            not.
          enum:
            - ALL_CONDITIONS
            - CUMULATIVE_WEIGHT
          readOnly: true
        collectingDataEnabled:
          type: boolean
        createDefaultAutopromoTargetingRule:
          type: boolean
          description: Creates the default Autopromo targeting rule
        createdBy:
          type: integer
          format: int64
          description: Account ID of the creator of this personalization
          readOnly: true
        cssCode:
          type: string
          description: CSS code that Kameleoon integrates into the source code of the page
        customExpositionRate:
          type: number
          format: double
          description: Percentage of the segment exposed to a personalization
        dateCollectingDataStopped:
          type: string
          format: date-time
          description: Date of the latest data collection
          readOnly: true
        dateCreated:
          type: string
          format: date-time
          description: Date of personalization creation
          readOnly: true
        dateEnded:
          type: string
          format: date-time
          description: Date when personalization ceased
          readOnly: true
        dateModified:
          type: string
          format: date-time
          description: Date and time when the personalization was last modified
          readOnly: true
        dateStarted:
          type: string
          format: date-time
          description: Date when personalization started
          readOnly: true
        dateStatusModified:
          type: string
          format: date-time
          description: Timestamp of the last update
          readOnly: true
        description:
          type: string
          description: Description of the personalization
        exposedVisitsSameVisitorMax:
          type: integer
          format: int32
          description: >-
            Cease exposing the same visitor when the number of visits exceed
            this limit
        expositionFrequencyDelay:
          type: integer
          format: int64
          description: Frequency of exposure for different visitors
        format:
          type: string
        globalCappingGoalId:
          type: integer
          format: int64
          description: Threshold goal for the total number of exposed visitors
        globalCappingNumberVisitors:
          type: boolean
          description: Option to allow capping visitors for a configuration
        globalCappingVisitorsConfig:
          type: string
          description: Visitors configuration for the capped number of exposed visitors
          enum:
            - NUMBER_VISITORS
            - NUMBER_VISITORS_CONVERT_GOAL
            - NUMBER_VISITORS_NOT_CONVERT_GOAL
        globalScript:
          type: string
          description: >-
            JavaScript code that applies only to the selected personalization
            and runs at the end of the Global custom script
        goals:
          type: array
          description: Selected goals
          items:
            type: integer
            format: int64
        id:
          type: integer
          format: int64
          description: Unique ID of the personalization
          readOnly: true
        imageInPage:
          $ref: '#/components/schemas/ImageInPage'
        isArchived:
          type: boolean
          description: Indicates if a user archived the personalization
        javaScriptCode:
          type: string
          description: JavaScript code to add in the page
        location:
          type: string
        mainGoalId:
          type: integer
          format: int64
          description: ID of the main goal
        market:
          type: string
        maxNumberVisitorsExposed:
          type: integer
          format: int64
          description: Limit of the total number of exposed visitors
        metaReadOnly:
          type: string
          description: Personalization in READ_ONLY mode for sub-personalization
        multiExpositionFrequencyDelay:
          type: integer
          format: int64
          description: Minimum delay between each exposure
        name:
          type: string
          description: Name of the personalization
        personalizationConfiguration:
          type: string
          description: Personalization configuration
          enum:
            - CUSTOM
            - HTML_IN_PAGE
            - IMAGE_IN_PAGE
            - INFOBULLE_ABOVE
            - NEWS_LETTER
            - NONE
            - POPIN
            - STICKY_BLOCK
            - TEMPLATE
            - VARIATION
        popIn:
          $ref: '#/components/schemas/PopIn'
        priority:
          type: integer
          format: int32
          description: Priority of the personalization
          readOnly: true
        siteId:
          type: integer
          format: int64
          description: Site ID of the project the personalization belongs to
        status:
          type: string
          description: Status of the personalization
          readOnly: true
        stickyBlock:
          $ref: '#/components/schemas/StickyBlock'
        tags:
          type: array
          description: List of tags
          items:
            type: string
        targetingRule:
          $ref: '#/components/schemas/TargetingRule'
          description: >-
            Targeting rule defines the conditions for displaying content to
            specific user groups based on segments and triggers
        targetingRuleId:
          type: integer
          format: int64
          deprecated: true
          description: Deprecated. Use TargetingRule instead.
          readOnly: true
        targetingSegmentId:
          type: integer
          format: int64
          description: Selected targeting segment
        trackingTools:
          type: array
          description: List of tracking tools
          items:
            $ref: '#/components/schemas/TrackingTool'
        type:
          type: string
          description: Type of personalization
          enum:
            - AUTOPROMO
            - BUILDER
            - CLASSIC
            - EXPERIMENTATION_RULE
            - IA
            - PERSO_RULE
        variationId:
          type: integer
          format: int64
          description: Variation ID of the personalization
        variationIds:
          type: array
          description: >-
            List of variation IDs for this personalization. Includes variations
            from other personalizations (variation.personalizationId != this
            ID). Only the 'Delete variation' operation can delete variations
            with personalizationId.
          items:
            type: integer
            format: int64
        visitExpositionFrequency:
          type: integer
          format: int32
          description: Frequency of exposure during a unique visit
        visitorExpositionFrequency:
          type: integer
          format: int32
          description: Frequency of exposure for a unique visitor
        visitorExpositionFrequencyMax:
          type: integer
          format: int32
          description: >-
            Cease exposing to this visitor once their exposure exceeds this
            limit.
        widget:
          $ref: '#/components/schemas/Template'
          description: Widget linked to personalization
      required:
        - baseURL
        - name
        - siteId
    ExternalResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
    Scenario:
      type: object
      properties:
        id:
          type: integer
          format: int64
        scenarioConfiguration:
          type: string
          enum:
            - NO_OTHER_PERSO
            - AT_LEAST_ONE_OTHER_PERSO
            - NUMBER_OF_OTHER_PERSOS
            - ALL_OTHER_PERSOS
            - ID_PERSO
        scenarioDisplayOthersPersos:
          type: boolean
        scenarioDisplayPerso:
          type: boolean
        scenarioIdPerso:
          type: integer
          format: int32
        scenarioNumberOtherPersos:
          type: integer
          format: int32
        scenarioNumberOtherPersosMatchType:
          type: string
          enum:
            - EQUAL
            - GREATER
            - LOWER
            - GREATER_THAN_EQUAL
            - LOWER_THAN_EQUAL
        scenarioVisitsConfiguration:
          type: string
          enum:
            - SAME_PAGE
            - CURRENT_VISIT
            - PREVIOUS_VISIT
            - ALL_VISITS
    TargetingRule:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Unique ID of the targeting rule
          readOnly: true
        segmentConfiguration:
          type: string
          description: Configuration defining how to apply the segment
          enum:
            - ALL_VISITORS
            - AUTOPROMO_AUTODEFINED
            - GRAPHICAL_PAGES
            - HEAT_SLICE
            - PAGE
            - SAVED_TEMPLATE
            - SITE
            - URL
        segmentId:
          type: integer
          format: int64
          description: >-
            ID of the associated segment (user group) for targeting. If the
            segment is deprecated, the rule has no trigger available.
        siteId:
          type: integer
          format: int64
          description: ID of the project this targeting rule belongs to
        targetingConfigurationParam:
          type: string
          description: >-
            Additional parameters for trigger configuration. For
            SAVED_TEMPLATE/HEAT_SLICE - contains segment ID. For PAGE - contains
            full URL. For URL - contains URL fragment.
        triggerConfiguration:
          type: string
          description: >-
            Configuration defining how to apply the trigger. This trigger type
            does not allow ALL_VISITORS configuration
          enum:
            - ALL_VISITORS
            - AUTOPROMO_AUTODEFINED
            - GRAPHICAL_PAGES
            - HEAT_SLICE
            - PAGE
            - SAVED_TEMPLATE
            - SITE
            - URL
        triggerId:
          type: integer
          format: int64
          description: ID of the associated trigger (activation condition)
      required:
        - siteId
    ImageInPage:
      type: object
      description: Settings of an image in page
      properties:
        domElementSelector:
          type: string
        height:
          type: string
        htmlContent:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        mainPageUrl:
          type: string
        positionDefinition:
          type: string
          enum:
            - EDITOR
            - SELECTOR
        positionSelectorRelative:
          type: string
          enum:
            - REPLACE
            - BEFORE
            - AFTER
            - 'NULL'
        redirectURL:
          type: string
        width:
          type: string
    PopIn:
      type: object
      description: Pop-in settings
      properties:
        animationDirection:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        animationTrigger:
          type: string
          enum:
            - ON_OPEN
            - ON_CLOSE
            - ON_OPEN_AND_CLOSE
            - CONTINUOUSLY
        animationType:
          type: string
          enum:
            - NONE
            - FADE
            - SLIDER
            - ZOOM_IN
            - ZOOM_OUT
            - BOUNCE
        backgroundColor:
          type: string
        closeWithClickOnOverlay:
          type: boolean
        customPositionAxisX:
          type: string
        customPositionAxisY:
          type: string
        displayImageConfiguration:
          type: string
          enum:
            - DISPLAY_ALL_DEVICES
            - DISPLAY_ONLY_DESKTOP
            - DISPLAY_ONLY_TABLET
            - DISPLAY_ONLY_MOBILE
            - DISPLAY_DESKTOP_TABLET
            - DISPLAY_DESKTOP_MOBILE
            - DISPLAY_TABLET_MOBILE
        fontSize:
          type: string
        height:
          type: string
        heightImageDesktop:
          type: string
        heightImageMobile:
          type: string
        heightImageTablet:
          type: string
        htmlContent:
          type: string
        idTarget2Sell:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        imageDesktop:
          $ref: '#/components/schemas/Image'
        imageMobile:
          $ref: '#/components/schemas/Image'
        imageTablet:
          $ref: '#/components/schemas/Image'
        name:
          type: string
        position:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        redirectURL:
          type: string
        targetBlank:
          type: boolean
        template:
          type: boolean
        textColor:
          type: string
        textContent:
          type: string
        type:
          type: string
          enum:
            - SINGLE_IMAGE
            - FULL_IMAGE_TEXT
            - FULL_TEXT_IMAGE
            - HTML
            - TARGET2SELL
        width:
          type: string
        widthImageDesktop:
          type: string
        widthImageMobile:
          type: string
        widthImageTablet:
          type: string
        withOverlay:
          type: boolean
    StickyBlock:
      type: object
      description: Sticky block settings
      properties:
        animationDirection:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        animationTrigger:
          type: string
          enum:
            - ON_OPEN
            - ON_CLOSE
            - ON_OPEN_AND_CLOSE
            - CONTINUOUSLY
        animationType:
          type: string
          enum:
            - NONE
            - FADE
            - SLIDER
            - ZOOM_IN
            - ZOOM_OUT
            - BOUNCE
        backgroundColor:
          type: string
        customPositionAxisX:
          type: string
        customPositionAxisY:
          type: string
        displayImageConfiguration:
          type: string
          enum:
            - DISPLAY_ALL_DEVICES
            - DISPLAY_ONLY_DESKTOP
            - DISPLAY_ONLY_TABLET
            - DISPLAY_ONLY_MOBILE
            - DISPLAY_DESKTOP_TABLET
            - DISPLAY_DESKTOP_MOBILE
            - DISPLAY_TABLET_MOBILE
        fontSize:
          type: string
        height:
          type: string
        heightImageDesktop:
          type: string
        heightImageMobile:
          type: string
        heightImageTablet:
          type: string
        htmlContent:
          type: string
        idTarget2Sell:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        imageDesktop:
          $ref: '#/components/schemas/Image'
        imageMobile:
          $ref: '#/components/schemas/Image'
        imageTablet:
          $ref: '#/components/schemas/Image'
        name:
          type: string
        position:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        redirectURL:
          type: string
        shiftContent:
          type: boolean
        shouldScrollTo:
          type: boolean
        targetBlank:
          type: boolean
        template:
          type: boolean
        textColor:
          type: string
        textContent:
          type: string
        type:
          type: string
          enum:
            - SINGLE_IMAGE
            - FULL_IMAGE_TEXT
            - FULL_TEXT_IMAGE
            - HTML
            - TARGET2SELL
        width:
          type: string
        widthImageDesktop:
          type: string
        widthImageMobile:
          type: string
        widthImageTablet:
          type: string
    TrackingTool:
      type: object
      properties:
        adobeOmnitureObject:
          type: string
        comScoreCustomerId:
          type: string
        comScoreDomain:
          type: string
        contentSquareUrl:
          type: string
        customIntegrations:
          type: array
          items:
            type: string
          uniqueItems: true
        customVariable:
          type: integer
          format: int32
        eulerianUserCentricParameter:
          type: string
        name:
          type: string
          enum:
            - ADOBE_OMNITURE
            - AIR360
            - AKAMAI
            - AMPLITUDE
            - BIGQUERY
            - BRAZE
            - CLARITY
            - COM_SCORE
            - CONTENT_SQUARE
            - CRAZY_EGG
            - CUSTOM_INTEGRATIONS
            - DATABRICKS
            - DATADOG
            - ECONDA
            - EULERIAN
            - FULLSTORY
            - GLASSBOX
            - GLASSBOX_V2
            - GOOGLE_ANALYTICS4
            - GOOGLE_ANALYTICS4_AUDIENCES
            - GOOGLE_UNIVERSAL_ANALYTICS
            - HEAP
            - HEAP_COHORTS
            - HUBSPOT
            - IABTCF
            - JUNE
            - KISSMETRICS
            - KLAVIYO
            - KLAVIYO_COHORTS
            - M_PATHY
            - MIXPANEL
            - MOUSEFLOW
            - MPARTICLE
            - PIANO
            - PIWIK
            - QUANTUM_METRIC
            - REDSHIFT
            - RUDDERSTACK
            - SEGMENT
            - SMART_TAG
            - SMARTLOOK
            - SNOWFLAKE
            - SNOWPLOW
            - TAG_COMMANDER
            - TEALIUM
            - VERCEL
            - WEBTREKK
            - WEBTRENDS
            - KAMELEOON_TRACKING
            - CUSTOM_TRACKING
        reportingScript:
          type: string
        universalAnalyticsDimension:
          type: integer
          format: int32
    Template:
      type: object
      properties:
        config:
          type: string
          description: >-
            Widget editor configuration field linked to the translation locales
            field in JSON format.
        cssCode:
          type: string
          description: CSS that belongs to this template.
        dateActivated:
          type: string
          format: date-time
          description: Date of widget activation.
          readOnly: true
        dateCreated:
          type: string
          format: date-time
          description: Date of widget creation
          readOnly: true
        dateModified:
          type: string
          format: date-time
          description: Date of widget modification
          readOnly: true
        description:
          type: string
          description: Description of the template.
        htmlCode:
          type: string
          description: UI text that belongs to this template.
        id:
          type: integer
          format: int64
          description: Unique ID of the template
          readOnly: true
        isCustomTemplate:
          type: boolean
          description: Indicates if this is a custom template.
        name:
          type: string
          description: Name of the template.
        siteId:
          type: integer
          format: int64
          description: Web ID of the studio template.
        status:
          type: string
          description: Template status.
          enum:
            - DRAFT
            - ACTIVE
            - PAUSED
        tags:
          type: array
          description: Tags that belong to this template.
          items:
            type: string
        templateCssCode:
          type: string
          description: CSS code that belongs to this template.
        templateHtmlCode:
          type: string
          description: HTML code that belongs to this template.
        templateJavaScriptCode:
          type: string
          description: JavaScript code that belongs to this template.
        themeId:
          type: integer
          format: int64
          description: ID of the theme linked to the widget.
        type:
          type: string
          description: Type of template.
          enum:
            - TEMPLATE
            - EDITOR
            - PBX
        url:
          type: string
          description: URL associated with this template.
        useCustomData:
          type: boolean
          description: Indicates if custom data is in use.
        widgetEditorTemplate:
          type: string
          description: Widget editor code that belongs to this template.
      required:
        - siteId
    Image:
      type: object
      properties:
        altText:
          type: string
        baseColor:
          type: integer
          format: int32
          description: Image base color
        colorDepth:
          type: integer
          format: int32
        createdById:
          type: integer
          format: int64
          description: Account ID of the image uploader
          readOnly: true
        date:
          type: string
          format: date-time
          description: Date of image upload
        description:
          type: string
        fileName:
          type: string
          description: Image file name
        fileWeight:
          type: integer
          format: int64
          description: Image file size in KB
          readOnly: true
        format:
          type: string
          description: 'Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)'
          enum:
            - PNG
            - JPEG
            - GIF
            - SVG
            - MVG
            - WEB
        height:
          type: integer
          format: int32
          description: Image height in pixels
        id:
          type: integer
          format: int64
          description: Unique ID of the image
          readOnly: true
        keywords:
          type: array
          description: Keyword(s) associated with the image
          items:
            type: string
        name:
          type: string
          description: Image name
        path:
          type: string
          description: Image path
        shared:
          type: boolean
          description: Indicates if a user shared the image
        siteId:
          type: integer
          format: int64
          description: Unique ID of the site your project belongs to
        size:
          type: integer
          format: int64
          description: Image size in bytes. Image file size should be maximum 5242880 bytes
          readOnly: true
        source:
          type: string
          description: Image source
        sourceUrl:
          type: string
          description: URL or the image source
        tags:
          type: array
          items:
            type: string
        width:
          type: integer
          format: int32
          description: Image width in pixels
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````